<sqtm-core-creation-dialog
  (add)="confirm()"
  (addAnother)="bindAnother()"
  [attr.data-test-dialog-id]="'project-custom-field-binding'"
>
  <sqtm-core-dialog-body>
    <div class="body-content m-t-5">
      <div class="m-10 sqtm-core-dialog-form p-4">
        <label class="label">{{
          'sqtm-core.entity.custom-field.bound-entity.label' | translate
        }}</label>
        <div class="full-width flex-column">
          <nz-select
            #boundEntitySelectField
            [(ngModel)]="selectedEntity"
            [nzPlaceHolder]="
              'sqtm-core.administration-workspace.projects.dialog.message.bind-custom-fields.bound-entity.place-holder'
                | translate
            "
            [attr.data-test-field-name]="'bound-entity-field'"
            (ngModelChange)="buildCustomFieldMultiListItems()"
          >
            @for (group of boundEntityOptionGroups; track group) {
              <nz-option-group [nzLabel]="group.label | translate">
                @for (option of group.options; track option) {
                  <nz-option
                    [nzLabel]="option.label | translate"
                    [nzValue]="option.value"
                  >
                  </nz-option>
                }
              </nz-option-group>
            }
          </nz-select>
          <div class="has-error">
            @for (error of errorsOnBoundEntity; track error) {
              <div class="sqtm-core-error-message">
                {{ error | translate }}
              </div>
            }
          </div>
        </div>

        @if (this.selectedEntity != null) {
          <label class="label">
            {{ 'sqtm-core.entity.custom-field.label.plural' | translate }}
          </label>
        }
        <div class="full-width flex-column">
          @if (this.selectedEntity != null) {
            <sqtm-core-grouped-multi-list-field
              #customFieldMultiList
              [listItems]="customFieldListItems"
              [separateSelectedItems]="true"
              [attr.data-test-element-id]="'cuf-field'"
              (valueChanged)="handleCustomFieldSelectionChange($event)"
              [placeHolder]="
                'sqtm-core.administration-workspace.projects.dialog.message.bind-custom-fields.custom-fields.place-holder'
                  | translate
              "
            >
            </sqtm-core-grouped-multi-list-field>
          }
          <div class="has-error">
            @for (error of errorsOnCustomFields; track error) {
              <div class="sqtm-core-error-message">
                {{ error | translate }}
              </div>
            }
          </div>
        </div>
      </div>
    </div>
    <ng-template #customFieldItemTemplate let-item="item">
      <span
        class="custom-field-label m-l-5 txt-ellipsis"
        nz-tooltip
        [sqtmCoreLabelTooltip]="item.label"
        >{{ item.label }}</span
      >
      <span class="custom-field-type"
        >({{ getCustomFieldTypeLabelKey(item.id) | translate }})</span
      >
    </ng-template>
  </sqtm-core-dialog-body>
</sqtm-core-creation-dialog>
